Subject: Ask some help for the netstat Send-Q

From: Ding Tianhong <[email-masked]>
Date: Wed, 17 Feb 2016 18:34:07 +0800

Hi David S. Miller and maintainers:

I use the 4.1.16 kernel to build my system and use the iperf to test the netstat, it looks very strange that the client shows:

netstat -at | grep 10.175.112.105                                                                             
tcp        0      0 10.175.112.191:ssh      10.175.112.105:58400    ESTABLISHED                                                     
tcp        0      0 10.175.112.191:33230    10.175.112.105:5001     TIME_WAIT                                                       
tcp        0 4202096 10.175.112.191:33231    10.175.112.105:5001     ESTABLISHED                                                    
tcp        0      0 10.175.112.191:ssh      10.175.112.105:58335    ESTABLISHED  

and the speed is:
 [  3]  0.0-300.0 sec  32.5 GBytes   929 Mbits/sec

It looks like that the speed is fine, But I don't know why the Send-Q has so many buffers, 
the tcp_wmem is big enough and I couldn't found any difference, did I miss something or 
is there something wrong for the TCP config?
Thanks for any suggestion.

Ding